Bug 228493 - Review Request: hunspell-pl - Polish hunspell dictionaries
Review Request: hunspell-pl - Polish hunspell dictionaries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-02-13 06:55 EST by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-15 11:08:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2007-02-13 06:55:05 EST
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-pl.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-pl-0.20060823-1.src.rpm
Description: Polish hunspell dictionaries


Similar to 227811
Comment 1 manuel wolfshant 2007-02-14 04:43:58 EST
%Source is no longer valid. The very same file is available as
http://www.kurnik.pl/dictionary/alt-myspell-pl.tar.bz2 but a newer version has
been released as http://www.kurnik.pl/dictionary/alt-myspell-pl-20070214.tar.bz2
Please consider updating %{upstreamid} and %Source before importing

GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
7fa4e8a72290c53dedb1eee1f0a144a4ce77a27e  alt-myspell-pl.tar.bz2 (upstream)
7fa4e8a72290c53dedb1eee1f0a144a4ce77a27e  alt-myspell-pl-20060823.tar.bz2 (included)
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license GPL stated in the tag is one of the four (!) specified in the
archive bundle; the three others are LGPL, MPL (Mozilla Public License) and
Creative Commons ShareAlike v1; I am not sure at the moment which one should be
picked, but I guess GPL is a safe bet. None of the four licenses is included in
the archive, so the rpm does not include them either. Please also see my comment
below.
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

Caolan, please consider updating to latest version before importing. And maybe
you can persuade upstream to include the license files in the archive...

Comment: if anyone has objections against using GPL for the license tag, please
do explain your rationale, I am eager to learn. The wiki says just 
    "Alternately, if code is dual licensed, and one of the licenses meets the
open source license criteria, that code can be included in Fedora under the open
source license."
which does not cover the case when several OSI approved licenses are available.
And unfortunately at the moment there is no one on #fedora-extras with proper
knowledge in this area.
I am approving the package anyway because none of the licenses is a blocker and
if needed the tag can be modified later.
Comment 2 Caolan McNamara 2007-02-14 05:01:13 EST
updated to todays release

in this case all of the alternative licenses are available for selection as the
one to use for fedora, I don't mind which. I don't think it really matters which
is selected. LGPL is sort of the default license for the majority of the
dictionaries, so I plumped for that option of the 3.
Comment 3 Caolan McNamara 2007-02-15 11:08:28 EST
 27654 (hunspell-pl): Build on target fedora-development-extras succeeded.

Note You need to log in before you can comment on or make changes to this bug.